@openwop/openwop-conformance 2.37.1 → 2.39.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +14 -0
- package/README.md +3 -3
- package/dist/cli.js +8 -18
- package/dist/lib/certification-bundle-v3.js +46 -18
- package/dist/lib/jcs.js +274 -0
- package/dist/spec-artifacts.lock.json +2 -2
- package/package.json +2 -2
- package/requirements.json +457 -33
- package/scenario-majors.json +10 -3
- package/schemas/CORPUS-STAMP.json +29 -29
- package/src/cli.ts +8 -16
- package/src/lib/certification-bundle-v3.ts +42 -17
- package/src/lib/front-mux.ts +36 -1
- package/src/lib/jcs.ts +229 -0
- package/src/lib/llm-cache-key-recipe.ts +10 -20
- package/src/lib/scoped-receiver.ts +2 -2
- package/src/scenarios/jcs-vectors.test.ts +108 -0
- package/src/scenarios/semantic-digest-vectors.test.ts +8 -0
- package/src/scenarios/v2-a2a-operation-map.test.ts +130 -1
- package/src/scenarios/v2-a2a-push-delivery.test.ts +246 -0
- package/src/scenarios/v2-a2ui-v09-surface.test.ts +18 -4
- package/src/scenarios/v2-content-locale-keys.test.ts +10 -1
- package/src/scenarios/v2-mrtr-rounds-ceiling.test.ts +7 -1
- package/src/scenarios/v2-oauth-client-pkce-state-iss.test.ts +7 -1
- package/vectors/jcs-v1.json +294 -0
- package/vectors/semantic-request-digest-v2.json +52 -0
package/requirements.json
CHANGED
|
@@ -2,11 +2,11 @@
|
|
|
2
2
|
"$comment": "GENERATED by conformance/scripts/generate-requirement-registry.mjs — do not edit. One record per it()/test() in src/scenarios. Ids: openwop.it.<file-stem>.<title-slug>[~n] (src/lib/requirement-ids.ts). A record with id null has an interpolated title; its run-time row is keyed by the rendered title and maps here by file+line only. Renamed ids need a row in requirement-aliases.json.",
|
|
3
3
|
"generatedFrom": "src/scenarios/*.test.ts",
|
|
4
4
|
"counts": {
|
|
5
|
-
"files":
|
|
6
|
-
"tests":
|
|
7
|
-
"withStableId":
|
|
5
|
+
"files": 633,
|
|
6
|
+
"tests": 2422,
|
|
7
|
+
"withStableId": 2422,
|
|
8
8
|
"interpolatedTitles": 0,
|
|
9
|
-
"explicitIds":
|
|
9
|
+
"explicitIds": 2304
|
|
10
10
|
},
|
|
11
11
|
"records": [
|
|
12
12
|
{
|
|
@@ -15228,6 +15228,97 @@
|
|
|
15228
15228
|
}
|
|
15229
15229
|
]
|
|
15230
15230
|
},
|
|
15231
|
+
{
|
|
15232
|
+
"id": "openwop.it.jcs-vectors.the-vector-set-is-present-and-non-trivial",
|
|
15233
|
+
"file": "jcs-vectors.test.ts",
|
|
15234
|
+
"line": 59,
|
|
15235
|
+
"title": "the vector set is present and non-trivial",
|
|
15236
|
+
"explicitId": "openwop.it.jcs-vectors.the-vector-set-is-present-and-non-trivial",
|
|
15237
|
+
"citations": [
|
|
15238
|
+
{
|
|
15239
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15240
|
+
"requirement": "the vectors MUST cover RFC 8785 Appendix B numbers, documents and every §B refusal kind"
|
|
15241
|
+
}
|
|
15242
|
+
]
|
|
15243
|
+
},
|
|
15244
|
+
{
|
|
15245
|
+
"id": "openwop.it.jcs-vectors.number-s-serializes-per-rfc-8785-appendix-b",
|
|
15246
|
+
"file": "jcs-vectors.test.ts",
|
|
15247
|
+
"line": 66,
|
|
15248
|
+
"title": "number %s serializes per RFC 8785 Appendix B",
|
|
15249
|
+
"explicitId": "openwop.it.jcs-vectors.number-s-serializes-per-rfc-8785-appendix-b",
|
|
15250
|
+
"citations": [
|
|
15251
|
+
{
|
|
15252
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15253
|
+
"requirement": "numbers MUST serialize as ECMAScript Number::toString (RFC 8785 §3.2.2.3)"
|
|
15254
|
+
}
|
|
15255
|
+
]
|
|
15256
|
+
},
|
|
15257
|
+
{
|
|
15258
|
+
"id": "openwop.it.jcs-vectors.document-s-canonicalizes-and-hashes",
|
|
15259
|
+
"file": "jcs-vectors.test.ts",
|
|
15260
|
+
"line": 70,
|
|
15261
|
+
"title": "document %s canonicalizes and hashes",
|
|
15262
|
+
"explicitId": "openwop.it.jcs-vectors.document-s-canonicalizes-and-hashes",
|
|
15263
|
+
"citations": [
|
|
15264
|
+
{
|
|
15265
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15266
|
+
"requirement": null,
|
|
15267
|
+
"interpolated": true
|
|
15268
|
+
},
|
|
15269
|
+
{
|
|
15270
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15271
|
+
"requirement": null,
|
|
15272
|
+
"interpolated": true
|
|
15273
|
+
}
|
|
15274
|
+
]
|
|
15275
|
+
},
|
|
15276
|
+
{
|
|
15277
|
+
"id": "openwop.it.jcs-vectors.text-s-is-refused-not-coerced",
|
|
15278
|
+
"file": "jcs-vectors.test.ts",
|
|
15279
|
+
"line": 78,
|
|
15280
|
+
"title": "text %s is refused, not coerced",
|
|
15281
|
+
"explicitId": "openwop.it.jcs-vectors.text-s-is-refused-not-coerced",
|
|
15282
|
+
"citations": [
|
|
15283
|
+
{
|
|
15284
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15285
|
+
"requirement": null,
|
|
15286
|
+
"interpolated": true
|
|
15287
|
+
}
|
|
15288
|
+
]
|
|
15289
|
+
},
|
|
15290
|
+
{
|
|
15291
|
+
"id": "openwop.it.jcs-vectors.a-non-i-json-native-value-is-refused-at-the-value-boundary",
|
|
15292
|
+
"file": "jcs-vectors.test.ts",
|
|
15293
|
+
"line": 83,
|
|
15294
|
+
"title": "a non-I-JSON native value is refused at the value boundary",
|
|
15295
|
+
"explicitId": "openwop.it.jcs-vectors.a-non-i-json-native-value-is-refused-at-the-value-boundary",
|
|
15296
|
+
"citations": [
|
|
15297
|
+
{
|
|
15298
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15299
|
+
"requirement": null,
|
|
15300
|
+
"interpolated": true
|
|
15301
|
+
}
|
|
15302
|
+
]
|
|
15303
|
+
},
|
|
15304
|
+
{
|
|
15305
|
+
"id": "openwop.it.jcs-vectors.member-names-and-certification-rows-sort-by-utf-16-code-units-not-by-locale",
|
|
15306
|
+
"file": "jcs-vectors.test.ts",
|
|
15307
|
+
"line": 99,
|
|
15308
|
+
"title": "member names and certification rows sort by UTF-16 code units, not by locale",
|
|
15309
|
+
"explicitId": "openwop.it.jcs-vectors.member-names-and-certification-rows-sort-by-utf-16-code-units-not-by-locale",
|
|
15310
|
+
"citations": [
|
|
15311
|
+
{
|
|
15312
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15313
|
+
"requirement": null,
|
|
15314
|
+
"interpolated": true
|
|
15315
|
+
},
|
|
15316
|
+
{
|
|
15317
|
+
"section": "RFC 0212 · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
15318
|
+
"requirement": "witnessSha256 rows MUST sort by id in UTF-16 code-unit order; a locale-sensitive comparator MUST NOT be used"
|
|
15319
|
+
}
|
|
15320
|
+
]
|
|
15321
|
+
},
|
|
15231
15322
|
{
|
|
15232
15323
|
"id": "openwop.it.kv-atomic-increment.capabilities-kvstorage-is-either-absent-or-a-well-formed-object",
|
|
15233
15324
|
"file": "kv-atomic-increment.test.ts",
|
|
@@ -24404,9 +24495,26 @@
|
|
|
24404
24495
|
]
|
|
24405
24496
|
},
|
|
24406
24497
|
{
|
|
24407
|
-
"id": "openwop.it.semantic-digest-vectors.
|
|
24498
|
+
"id": "openwop.it.semantic-digest-vectors.tool-order-uses-utf-16-code-units-where-a-locale-comparator-disagrees",
|
|
24408
24499
|
"file": "semantic-digest-vectors.test.ts",
|
|
24409
24500
|
"line": 113,
|
|
24501
|
+
"title": "tool order uses UTF-16 code units, where a locale comparator disagrees",
|
|
24502
|
+
"explicitId": "openwop.it.semantic-digest-vectors.tool-order-uses-utf-16-code-units-where-a-locale-comparator-disagrees",
|
|
24503
|
+
"citations": [
|
|
24504
|
+
{
|
|
24505
|
+
"section": "RFC 0212 §D · RFC 0150 §C",
|
|
24506
|
+
"requirement": "tools[] MUST sort by name in UTF-16 code-unit order"
|
|
24507
|
+
},
|
|
24508
|
+
{
|
|
24509
|
+
"section": "RFC 0212 §D · RFC 0150 §C",
|
|
24510
|
+
"requirement": "getWeather (0x57) MUST precede get_weather (0x5F)"
|
|
24511
|
+
}
|
|
24512
|
+
]
|
|
24513
|
+
},
|
|
24514
|
+
{
|
|
24515
|
+
"id": "openwop.it.semantic-digest-vectors.message-order-is-semantic-reversing-changes-the-digest",
|
|
24516
|
+
"file": "semantic-digest-vectors.test.ts",
|
|
24517
|
+
"line": 121,
|
|
24410
24518
|
"title": "message order IS semantic — reversing changes the digest",
|
|
24411
24519
|
"explicitId": "openwop.it.semantic-digest-vectors.message-order-is-semantic-reversing-changes-the-digest",
|
|
24412
24520
|
"citations": [
|
|
@@ -24419,7 +24527,7 @@
|
|
|
24419
24527
|
{
|
|
24420
24528
|
"id": "openwop.it.semantic-digest-vectors.the-two-unicode-forms-do-not-collide-because-jcs-does-not-apply-nfc",
|
|
24421
24529
|
"file": "semantic-digest-vectors.test.ts",
|
|
24422
|
-
"line":
|
|
24530
|
+
"line": 128,
|
|
24423
24531
|
"title": "the two Unicode forms do not collide, because JCS does not apply NFC",
|
|
24424
24532
|
"explicitId": "openwop.it.semantic-digest-vectors.the-two-unicode-forms-do-not-collide-because-jcs-does-not-apply-nfc",
|
|
24425
24533
|
"citations": [
|
|
@@ -24432,7 +24540,7 @@
|
|
|
24432
24540
|
{
|
|
24433
24541
|
"id": "openwop.it.semantic-digest-vectors.each-field-v1-excluded-now-changes-the-digest",
|
|
24434
24542
|
"file": "semantic-digest-vectors.test.ts",
|
|
24435
|
-
"line":
|
|
24543
|
+
"line": 141,
|
|
24436
24544
|
"title": "each field v1 excluded now changes the digest",
|
|
24437
24545
|
"explicitId": "openwop.it.semantic-digest-vectors.each-field-v1-excluded-now-changes-the-digest",
|
|
24438
24546
|
"citations": [
|
|
@@ -26494,7 +26602,7 @@
|
|
|
26494
26602
|
{
|
|
26495
26603
|
"id": "openwop.it.v2-a2a-operation-map.a-message-carrying-taskid-without-contextid-is-answered-with-the-task-s-contexti",
|
|
26496
26604
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26497
|
-
"line":
|
|
26605
|
+
"line": 136,
|
|
26498
26606
|
"title": "a message carrying taskId without contextId is answered with the task's contextId",
|
|
26499
26607
|
"explicitId": null,
|
|
26500
26608
|
"citations": [
|
|
@@ -26525,7 +26633,7 @@
|
|
|
26525
26633
|
{
|
|
26526
26634
|
"id": "openwop.it.v2-a2a-operation-map.a-message-whose-contextid-is-not-its-task-s-is-refused-invalid-parameters-and-ch",
|
|
26527
26635
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26528
|
-
"line":
|
|
26636
|
+
"line": 150,
|
|
26529
26637
|
"title": "a message whose contextId is not its task's is refused invalid-parameters and changes nothing",
|
|
26530
26638
|
"explicitId": null,
|
|
26531
26639
|
"citations": [
|
|
@@ -26552,7 +26660,7 @@
|
|
|
26552
26660
|
{
|
|
26553
26661
|
"id": "openwop.it.v2-a2a-operation-map.a-message-to-a-retained-terminal-task-is-refused-unsupportedoperationerror-and-a",
|
|
26554
26662
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26555
|
-
"line":
|
|
26663
|
+
"line": 165,
|
|
26556
26664
|
"title": "a message to a retained terminal task is refused UnsupportedOperationError, and appends no event",
|
|
26557
26665
|
"explicitId": null,
|
|
26558
26666
|
"citations": [
|
|
@@ -26579,7 +26687,7 @@
|
|
|
26579
26687
|
{
|
|
26580
26688
|
"id": "openwop.it.v2-a2a-operation-map.an-unknown-task-and-another-tenant-s-task-are-answered-by-the-same-tasknotfounde",
|
|
26581
26689
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26582
|
-
"line":
|
|
26690
|
+
"line": 180,
|
|
26583
26691
|
"title": "an unknown task and another tenant's task are answered by the same TaskNotFoundError",
|
|
26584
26692
|
"explicitId": null,
|
|
26585
26693
|
"citations": [
|
|
@@ -26612,7 +26720,7 @@
|
|
|
26612
26720
|
{
|
|
26613
26721
|
"id": "openwop.it.v2-a2a-operation-map.task-status-state-is-the-map-s-projection-of-the-run-status-at-every-observed-st",
|
|
26614
26722
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26615
|
-
"line":
|
|
26723
|
+
"line": 202,
|
|
26616
26724
|
"title": "Task.status.state is the map's projection of the run status at every observed state",
|
|
26617
26725
|
"explicitId": null,
|
|
26618
26726
|
"citations": [
|
|
@@ -26635,7 +26743,7 @@
|
|
|
26635
26743
|
{
|
|
26636
26744
|
"id": "openwop.it.v2-a2a-operation-map.the-json-rpc-error-codes-the-suite-can-cause-are-the-a2a-1-0-1-codes",
|
|
26637
26745
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26638
|
-
"line":
|
|
26746
|
+
"line": 227,
|
|
26639
26747
|
"title": "the JSON-RPC error codes the suite can cause are the A2A 1.0.1 codes",
|
|
26640
26748
|
"explicitId": null,
|
|
26641
26749
|
"citations": [
|
|
@@ -26658,7 +26766,7 @@
|
|
|
26658
26766
|
{
|
|
26659
26767
|
"id": "openwop.it.v2-a2a-operation-map.a-row-whose-requires-facet-is-not-advertised-is-refused-with-the-row-s-error",
|
|
26660
26768
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26661
|
-
"line":
|
|
26769
|
+
"line": 241,
|
|
26662
26770
|
"title": "a row whose requires facet is not advertised is refused with the row's error",
|
|
26663
26771
|
"explicitId": null,
|
|
26664
26772
|
"citations": [
|
|
@@ -26673,10 +26781,130 @@
|
|
|
26673
26781
|
}
|
|
26674
26782
|
]
|
|
26675
26783
|
},
|
|
26784
|
+
{
|
|
26785
|
+
"id": "openwop.it.v2-a2a-operation-map.a-host-not-advertising-a2a-pushnotifications-refuses-all-four-push-config-operat",
|
|
26786
|
+
"file": "v2-a2a-operation-map.test.ts",
|
|
26787
|
+
"line": 254,
|
|
26788
|
+
"title": "a host not advertising a2a.pushNotifications refuses all four push-config operations with PushNotificationNotSupportedError",
|
|
26789
|
+
"explicitId": null,
|
|
26790
|
+
"citations": [
|
|
26791
|
+
{
|
|
26792
|
+
"section": "spec/v2/core/interop.md §\"The operation mappings\" (RFC 0208)",
|
|
26793
|
+
"requirement": null,
|
|
26794
|
+
"interpolated": true
|
|
26795
|
+
},
|
|
26796
|
+
{
|
|
26797
|
+
"section": "a2a.operations GetTask",
|
|
26798
|
+
"requirement": null,
|
|
26799
|
+
"interpolated": true
|
|
26800
|
+
},
|
|
26801
|
+
{
|
|
26802
|
+
"section": null,
|
|
26803
|
+
"requirement": null,
|
|
26804
|
+
"interpolated": true
|
|
26805
|
+
}
|
|
26806
|
+
]
|
|
26807
|
+
},
|
|
26808
|
+
{
|
|
26809
|
+
"id": "openwop.it.v2-a2a-operation-map.rfc-0214-createtaskpushnotificationconfig-refuses-a-non-https-or-private-destina",
|
|
26810
|
+
"file": "v2-a2a-operation-map.test.ts",
|
|
26811
|
+
"line": 285,
|
|
26812
|
+
"title": "RFC 0214 — CreateTaskPushNotificationConfig refuses a non-https or private destination",
|
|
26813
|
+
"explicitId": null,
|
|
26814
|
+
"citations": [
|
|
26815
|
+
{
|
|
26816
|
+
"section": "spec/v2/core/interop.md §\"The operation mappings\" (RFC 0208)",
|
|
26817
|
+
"requirement": null,
|
|
26818
|
+
"interpolated": true
|
|
26819
|
+
},
|
|
26820
|
+
{
|
|
26821
|
+
"section": null,
|
|
26822
|
+
"requirement": null,
|
|
26823
|
+
"interpolated": true
|
|
26824
|
+
},
|
|
26825
|
+
{
|
|
26826
|
+
"section": null,
|
|
26827
|
+
"requirement": null,
|
|
26828
|
+
"interpolated": true
|
|
26829
|
+
}
|
|
26830
|
+
]
|
|
26831
|
+
},
|
|
26832
|
+
{
|
|
26833
|
+
"id": "openwop.it.v2-a2a-operation-map.rfc-0214-e-a-push-config-of-another-tenant-s-task-of-another-task-or-unknown-is",
|
|
26834
|
+
"file": "v2-a2a-operation-map.test.ts",
|
|
26835
|
+
"line": 303,
|
|
26836
|
+
"title": "RFC 0214 §E — a push config of another tenant's task, of another task, or unknown, is answered identically",
|
|
26837
|
+
"explicitId": null,
|
|
26838
|
+
"citations": [
|
|
26839
|
+
{
|
|
26840
|
+
"section": "spec/v2/core/interop.md §\"The operation mappings\" (RFC 0208)",
|
|
26841
|
+
"requirement": "SendMessage MUST start two tasks with tenant-bound ids"
|
|
26842
|
+
},
|
|
26843
|
+
{
|
|
26844
|
+
"section": null,
|
|
26845
|
+
"requirement": null,
|
|
26846
|
+
"interpolated": true
|
|
26847
|
+
},
|
|
26848
|
+
{
|
|
26849
|
+
"section": null,
|
|
26850
|
+
"requirement": null,
|
|
26851
|
+
"interpolated": true
|
|
26852
|
+
},
|
|
26853
|
+
{
|
|
26854
|
+
"section": null,
|
|
26855
|
+
"requirement": null,
|
|
26856
|
+
"interpolated": true
|
|
26857
|
+
},
|
|
26858
|
+
{
|
|
26859
|
+
"section": null,
|
|
26860
|
+
"requirement": null,
|
|
26861
|
+
"interpolated": true
|
|
26862
|
+
},
|
|
26863
|
+
{
|
|
26864
|
+
"section": null,
|
|
26865
|
+
"requirement": null,
|
|
26866
|
+
"interpolated": true
|
|
26867
|
+
},
|
|
26868
|
+
{
|
|
26869
|
+
"section": null,
|
|
26870
|
+
"requirement": "a delete naming another tenant's task MUST NOT delete the caller's config",
|
|
26871
|
+
"interpolated": true
|
|
26872
|
+
},
|
|
26873
|
+
{
|
|
26874
|
+
"section": "A2A v1.0.1 §3.1.10 (\"MUST be idempotent\")",
|
|
26875
|
+
"requirement": null,
|
|
26876
|
+
"interpolated": true
|
|
26877
|
+
}
|
|
26878
|
+
]
|
|
26879
|
+
},
|
|
26880
|
+
{
|
|
26881
|
+
"id": "openwop.it.v2-a2a-operation-map.rfc-0214-a-a-push-config-s-token-and-credentials-are-never-returned-and-never-re",
|
|
26882
|
+
"file": "v2-a2a-operation-map.test.ts",
|
|
26883
|
+
"line": 347,
|
|
26884
|
+
"title": "RFC 0214 §A — a push config's token and credentials are never returned, and never reach task, events or state",
|
|
26885
|
+
"explicitId": null,
|
|
26886
|
+
"citations": [
|
|
26887
|
+
{
|
|
26888
|
+
"section": "spec/v2/core/interop.md §\"The operation mappings\" (RFC 0208)",
|
|
26889
|
+
"requirement": null,
|
|
26890
|
+
"interpolated": true
|
|
26891
|
+
},
|
|
26892
|
+
{
|
|
26893
|
+
"section": null,
|
|
26894
|
+
"requirement": null,
|
|
26895
|
+
"interpolated": true
|
|
26896
|
+
},
|
|
26897
|
+
{
|
|
26898
|
+
"section": null,
|
|
26899
|
+
"requirement": null,
|
|
26900
|
+
"interpolated": true
|
|
26901
|
+
}
|
|
26902
|
+
]
|
|
26903
|
+
},
|
|
26676
26904
|
{
|
|
26677
26905
|
"id": "openwop.it.v2-a2a-operation-map.listtasks-returns-only-what-listruns-returns-to-the-same-subject-tenant-and-cont",
|
|
26678
26906
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26679
|
-
"line":
|
|
26907
|
+
"line": 381,
|
|
26680
26908
|
"title": "ListTasks returns only what listRuns returns to the same Subject; tenant and contextId never select",
|
|
26681
26909
|
"explicitId": null,
|
|
26682
26910
|
"citations": [
|
|
@@ -26713,7 +26941,7 @@
|
|
|
26713
26941
|
{
|
|
26714
26942
|
"id": "openwop.it.v2-a2a-operation-map.an-a2a-error-s-data-is-an-array-carrying-one-errorinfo-with-the-map-row-s-reason",
|
|
26715
26943
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26716
|
-
"line":
|
|
26944
|
+
"line": 414,
|
|
26717
26945
|
"title": "an A2A error's data is an array carrying one ErrorInfo with the map row's reason and the A2A domain",
|
|
26718
26946
|
"explicitId": null,
|
|
26719
26947
|
"citations": [
|
|
@@ -26747,7 +26975,7 @@
|
|
|
26747
26975
|
{
|
|
26748
26976
|
"id": "openwop.it.v2-a2a-operation-map.no-response-on-the-card-s-json-rpc-interface-url-is-the-openwop-error-envelope",
|
|
26749
26977
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26750
|
-
"line":
|
|
26978
|
+
"line": 435,
|
|
26751
26979
|
"title": "no response on the card's JSON-RPC interface URL is the OpenWOP error envelope",
|
|
26752
26980
|
"explicitId": null,
|
|
26753
26981
|
"citations": [
|
|
@@ -26765,7 +26993,7 @@
|
|
|
26765
26993
|
{
|
|
26766
26994
|
"id": "openwop.it.v2-a2a-operation-map.versionnotsupportederror-carries-errorinfo-version-not-supported-and-supportedve",
|
|
26767
26995
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26768
|
-
"line":
|
|
26996
|
+
"line": 455,
|
|
26769
26997
|
"title": "VersionNotSupportedError carries ErrorInfo VERSION_NOT_SUPPORTED, and supportedVersions is a comma-joined subset of the card",
|
|
26770
26998
|
"explicitId": null,
|
|
26771
26999
|
"citations": [
|
|
@@ -26789,7 +27017,7 @@
|
|
|
26789
27017
|
{
|
|
26790
27018
|
"id": "openwop.it.v2-a2a-operation-map.an-http-json-interface-answers-an-a2a-error-with-google-rpc-status-carrying-the",
|
|
26791
27019
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26792
|
-
"line":
|
|
27020
|
+
"line": 473,
|
|
26793
27021
|
"title": "an HTTP+JSON interface answers an A2A error with google.rpc.Status carrying the ErrorInfo",
|
|
26794
27022
|
"explicitId": null,
|
|
26795
27023
|
"citations": [
|
|
@@ -26808,7 +27036,7 @@
|
|
|
26808
27036
|
{
|
|
26809
27037
|
"id": "openwop.it.v2-a2a-operation-map.a-run-suspended-on-a-credential-interrupt-projects-to-task-state-auth-required-n",
|
|
26810
27038
|
"file": "v2-a2a-operation-map.test.ts",
|
|
26811
|
-
"line":
|
|
27039
|
+
"line": 488,
|
|
26812
27040
|
"title": "a run suspended on a credential interrupt projects to TASK_STATE_AUTH_REQUIRED, naming the provider and carrying connectUrl",
|
|
26813
27041
|
"explicitId": null,
|
|
26814
27042
|
"citations": [
|
|
@@ -26841,10 +27069,124 @@
|
|
|
26841
27069
|
}
|
|
26842
27070
|
]
|
|
26843
27071
|
},
|
|
27072
|
+
{
|
|
27073
|
+
"id": "openwop.it.v2-a2a-push-delivery.a-c-a-transition-after-registration-is-posted-to-the-registered-destination-with",
|
|
27074
|
+
"file": "v2-a2a-push-delivery.test.ts",
|
|
27075
|
+
"line": 140,
|
|
27076
|
+
"title": "§A/§C — a transition after registration is POSTed to the registered destination with the registered Authorization and no OpenWOP signature",
|
|
27077
|
+
"explicitId": null,
|
|
27078
|
+
"citations": [
|
|
27079
|
+
{
|
|
27080
|
+
"section": "spec/v2/core/interop.md §\"A2A push delivery\" (RFC 0214)",
|
|
27081
|
+
"requirement": null,
|
|
27082
|
+
"interpolated": true
|
|
27083
|
+
},
|
|
27084
|
+
{
|
|
27085
|
+
"section": null,
|
|
27086
|
+
"requirement": null,
|
|
27087
|
+
"interpolated": true
|
|
27088
|
+
},
|
|
27089
|
+
{
|
|
27090
|
+
"section": "A2A v1.0.1 §4.3.3",
|
|
27091
|
+
"requirement": "a push is an HTTP POST"
|
|
27092
|
+
},
|
|
27093
|
+
{
|
|
27094
|
+
"section": null,
|
|
27095
|
+
"requirement": "the push MUST carry the registered credential as Authorization: {scheme} {credentials}",
|
|
27096
|
+
"interpolated": true
|
|
27097
|
+
},
|
|
27098
|
+
{
|
|
27099
|
+
"section": "A2A v1.0.1 §4.3.3",
|
|
27100
|
+
"requirement": "the push body is application/a2a+json"
|
|
27101
|
+
},
|
|
27102
|
+
{
|
|
27103
|
+
"section": "A2A v1.0.1 §4.3.3 (StreamResponse)",
|
|
27104
|
+
"requirement": null,
|
|
27105
|
+
"interpolated": true
|
|
27106
|
+
},
|
|
27107
|
+
{
|
|
27108
|
+
"section": null,
|
|
27109
|
+
"requirement": "an A2A push MUST NOT carry an OpenWOP-Signature — A2A defines no secret exchange to verify it",
|
|
27110
|
+
"interpolated": true
|
|
27111
|
+
}
|
|
27112
|
+
]
|
|
27113
|
+
},
|
|
27114
|
+
{
|
|
27115
|
+
"id": "openwop.it.v2-a2a-push-delivery.b-a-3xx-from-the-destination-is-a-failed-delivery-the-redirect-target-receives-n",
|
|
27116
|
+
"file": "v2-a2a-push-delivery.test.ts",
|
|
27117
|
+
"line": 170,
|
|
27118
|
+
"title": "§B — a 3xx from the destination is a failed delivery: the redirect target receives nothing, credential or not",
|
|
27119
|
+
"explicitId": null,
|
|
27120
|
+
"citations": [
|
|
27121
|
+
{
|
|
27122
|
+
"section": "spec/v2/core/interop.md §\"A2A push delivery\" (RFC 0214)",
|
|
27123
|
+
"requirement": null,
|
|
27124
|
+
"interpolated": true
|
|
27125
|
+
},
|
|
27126
|
+
{
|
|
27127
|
+
"section": "spec/v2/core/interop.md §\"A2A push delivery\" (RFC 0214)",
|
|
27128
|
+
"requirement": null,
|
|
27129
|
+
"interpolated": true
|
|
27130
|
+
},
|
|
27131
|
+
{
|
|
27132
|
+
"section": null,
|
|
27133
|
+
"requirement": "the redirect target MUST receive nothing: a 3xx is a delivery failure and the credential MUST NOT be sent after a redirect",
|
|
27134
|
+
"interpolated": true
|
|
27135
|
+
}
|
|
27136
|
+
]
|
|
27137
|
+
},
|
|
27138
|
+
{
|
|
27139
|
+
"id": "openwop.it.v2-a2a-push-delivery.a-after-delete-no-further-push-reaches-that-destination-while-a-live-config-on-t",
|
|
27140
|
+
"file": "v2-a2a-push-delivery.test.ts",
|
|
27141
|
+
"line": 192,
|
|
27142
|
+
"title": "§A — after Delete no further push reaches that destination, while a live config on the same task still receives",
|
|
27143
|
+
"explicitId": null,
|
|
27144
|
+
"citations": [
|
|
27145
|
+
{
|
|
27146
|
+
"section": "spec/v2/core/interop.md §\"A2A push delivery\" (RFC 0214)",
|
|
27147
|
+
"requirement": null,
|
|
27148
|
+
"interpolated": true
|
|
27149
|
+
},
|
|
27150
|
+
{
|
|
27151
|
+
"section": "spec/v2/core/interop.md §\"A2A push delivery\" (RFC 0214)",
|
|
27152
|
+
"requirement": null,
|
|
27153
|
+
"interpolated": true
|
|
27154
|
+
},
|
|
27155
|
+
{
|
|
27156
|
+
"section": "spec/v2/core/interop.md §\"A2A push delivery\" (RFC 0214)",
|
|
27157
|
+
"requirement": null,
|
|
27158
|
+
"interpolated": true
|
|
27159
|
+
},
|
|
27160
|
+
{
|
|
27161
|
+
"section": null,
|
|
27162
|
+
"requirement": "a deleted config MUST receive nothing further — its destination credential is discarded with it",
|
|
27163
|
+
"interpolated": true
|
|
27164
|
+
}
|
|
27165
|
+
]
|
|
27166
|
+
},
|
|
27167
|
+
{
|
|
27168
|
+
"id": "openwop.it.v2-a2a-push-delivery.d-a-replay-fork-of-a-pushed-run-delivers-nothing-to-the-source-run-s-destination",
|
|
27169
|
+
"file": "v2-a2a-push-delivery.test.ts",
|
|
27170
|
+
"line": 218,
|
|
27171
|
+
"title": "§D — a replay fork of a pushed run delivers nothing to the source run's destination",
|
|
27172
|
+
"explicitId": null,
|
|
27173
|
+
"citations": [
|
|
27174
|
+
{
|
|
27175
|
+
"section": "spec/v2/core/interop.md §\"A2A push delivery\" (RFC 0214)",
|
|
27176
|
+
"requirement": null,
|
|
27177
|
+
"interpolated": true
|
|
27178
|
+
},
|
|
27179
|
+
{
|
|
27180
|
+
"section": null,
|
|
27181
|
+
"requirement": null,
|
|
27182
|
+
"interpolated": true
|
|
27183
|
+
}
|
|
27184
|
+
]
|
|
27185
|
+
},
|
|
26844
27186
|
{
|
|
26845
27187
|
"id": "openwop.it.v2-a2ui-v09-surface.a-version-2-envelope-carrying-a-version-1-body-is-refused-the-positive-is-admitt",
|
|
26846
27188
|
"file": "v2-a2ui-v09-surface.test.ts",
|
|
26847
|
-
"line":
|
|
27189
|
+
"line": 129,
|
|
26848
27190
|
"title": "a version-2 envelope carrying a version-1 body is refused; the positive is admitted; above the floor is refused; below it follows envelopeStrictness",
|
|
26849
27191
|
"explicitId": "openwop.requirement.0209.version-selects-branch",
|
|
26850
27192
|
"citations": [
|
|
@@ -26888,7 +27230,7 @@
|
|
|
26888
27230
|
{
|
|
26889
27231
|
"id": "openwop.it.v2-a2ui-v09-surface.no-first-createsurface-a-message-after-deletesurface-and-a-second-createsurface",
|
|
26890
27232
|
"file": "v2-a2ui-v09-surface.test.ts",
|
|
26891
|
-
"line":
|
|
27233
|
+
"line": 155,
|
|
26892
27234
|
"title": "no first createSurface, a message after deleteSurface, and a second createSurface are each refused; the valid steps are admitted",
|
|
26893
27235
|
"explicitId": "openwop.requirement.0209.fold-guarded",
|
|
26894
27236
|
"citations": [
|
|
@@ -26902,7 +27244,7 @@
|
|
|
26902
27244
|
{
|
|
26903
27245
|
"id": "openwop.it.v2-a2ui-v09-surface.a-createsurface-catalogid-differing-from-the-payload-catalogid-is-refused",
|
|
26904
27246
|
"file": "v2-a2ui-v09-surface.test.ts",
|
|
26905
|
-
"line":
|
|
27247
|
+
"line": 180,
|
|
26906
27248
|
"title": "a createSurface.catalogId differing from the payload catalogId is refused",
|
|
26907
27249
|
"explicitId": "openwop.requirement.0209.catalog-equality",
|
|
26908
27250
|
"citations": [
|
|
@@ -26920,7 +27262,7 @@
|
|
|
26920
27262
|
{
|
|
26921
27263
|
"id": "openwop.it.v2-a2ui-v09-surface.a-message-whose-surfaceid-differs-from-the-payload-surfaceid-is-refused",
|
|
26922
27264
|
"file": "v2-a2ui-v09-surface.test.ts",
|
|
26923
|
-
"line":
|
|
27265
|
+
"line": 194,
|
|
26924
27266
|
"title": "a message whose surfaceId differs from the payload surfaceId is refused",
|
|
26925
27267
|
"explicitId": "openwop.it.v2-a2ui-v09-surface.surface-id-equality",
|
|
26926
27268
|
"citations": [
|
|
@@ -26938,7 +27280,7 @@
|
|
|
26938
27280
|
{
|
|
26939
27281
|
"id": "openwop.it.v2-a2ui-v09-surface.a-recorded-version-2-surface-is-returned-byte-equal-on-poll-and-carried-by-a-for",
|
|
26940
27282
|
"file": "v2-a2ui-v09-surface.test.ts",
|
|
26941
|
-
"line":
|
|
27283
|
+
"line": 210,
|
|
26942
27284
|
"title": "a recorded version-2 surface is returned byte-equal on poll and carried by a fork at a later fromSeq",
|
|
26943
27285
|
"explicitId": "openwop.it.v2-a2ui-v09-surface.recorded-as-recorded",
|
|
26944
27286
|
"citations": [
|
|
@@ -26951,6 +27293,16 @@
|
|
|
26951
27293
|
"section": "RFC 0209 §C.11",
|
|
26952
27294
|
"requirement": "the run's poll MUST return the recorded surface payload byte-equal — no surface is regenerated"
|
|
26953
27295
|
},
|
|
27296
|
+
{
|
|
27297
|
+
"section": "RFC 0209 §C.9",
|
|
27298
|
+
"requirement": null,
|
|
27299
|
+
"interpolated": true
|
|
27300
|
+
},
|
|
27301
|
+
{
|
|
27302
|
+
"section": "api/seams-v2.yaml emitA2uiSurface",
|
|
27303
|
+
"requirement": null,
|
|
27304
|
+
"interpolated": true
|
|
27305
|
+
},
|
|
26954
27306
|
{
|
|
26955
27307
|
"section": "RFC 0209 §C.11",
|
|
26956
27308
|
"requirement": null,
|
|
@@ -26965,7 +27317,7 @@
|
|
|
26965
27317
|
{
|
|
26966
27318
|
"id": "openwop.it.v2-a2ui-v09-surface.a-version-1-surface-recorded-at-floor-1-is-returned-byte-equal-on-poll-and-carri",
|
|
26967
27319
|
"file": "v2-a2ui-v09-surface.test.ts",
|
|
26968
|
-
"line":
|
|
27320
|
+
"line": 237,
|
|
26969
27321
|
"title": "a version-1 surface recorded at floor 1 is returned byte-equal on poll and carried by a fork",
|
|
26970
27322
|
"explicitId": "openwop.requirement.0209.legacy-readable",
|
|
26971
27323
|
"citations": [
|
|
@@ -26983,6 +27335,16 @@
|
|
|
26983
27335
|
"requirement": null,
|
|
26984
27336
|
"interpolated": true
|
|
26985
27337
|
},
|
|
27338
|
+
{
|
|
27339
|
+
"section": "api/seams-v2.yaml emitA2uiSurface",
|
|
27340
|
+
"requirement": null,
|
|
27341
|
+
"interpolated": true
|
|
27342
|
+
},
|
|
27343
|
+
{
|
|
27344
|
+
"section": "RFC 0209 §C.11",
|
|
27345
|
+
"requirement": null,
|
|
27346
|
+
"interpolated": true
|
|
27347
|
+
},
|
|
26986
27348
|
{
|
|
26987
27349
|
"section": "RFC 0209 §C.11",
|
|
26988
27350
|
"requirement": "a fork at a later fromSeq MUST carry the version-1 surface unchanged"
|
|
@@ -26992,7 +27354,7 @@
|
|
|
26992
27354
|
{
|
|
26993
27355
|
"id": "openwop.it.v2-a2ui-v09-surface.one-untrusted-update-taints-a-trusted-surface-a-later-trusted-update-does-not-la",
|
|
26994
27356
|
"file": "v2-a2ui-v09-surface.test.ts",
|
|
26995
|
-
"line":
|
|
27357
|
+
"line": 261,
|
|
26996
27358
|
"title": "one untrusted update taints a trusted surface, a later trusted update does not launder it, and the approval does not advance; an all-trusted surface does",
|
|
26997
27359
|
"explicitId": "openwop.requirement.0209.taint-sticky",
|
|
26998
27360
|
"citations": [
|
|
@@ -27815,7 +28177,7 @@
|
|
|
27815
28177
|
{
|
|
27816
28178
|
"id": "openwop.it.v2-content-locale-keys.an-advertised-extended-content-locale-is-written-and-delivered",
|
|
27817
28179
|
"file": "v2-content-locale-keys.test.ts",
|
|
27818
|
-
"line":
|
|
28180
|
+
"line": 56,
|
|
27819
28181
|
"title": "an advertised extended content locale is written and delivered",
|
|
27820
28182
|
"explicitId": "openwop.requirement.0206.delivery-extended-locale",
|
|
27821
28183
|
"citations": [
|
|
@@ -30575,7 +30937,7 @@
|
|
|
30575
30937
|
{
|
|
30576
30938
|
"id": "openwop.it.v2-oauth-client-pkce-state-iss.a-callback-authenticated-as-another-subject-makes-no-token-request-and-stores-no",
|
|
30577
30939
|
"file": "v2-oauth-client-pkce-state-iss.test.ts",
|
|
30578
|
-
"line":
|
|
30940
|
+
"line": 129,
|
|
30579
30941
|
"title": "a callback authenticated as another Subject makes no token request and stores nothing",
|
|
30580
30942
|
"explicitId": null,
|
|
30581
30943
|
"citations": [
|
|
@@ -30598,7 +30960,7 @@
|
|
|
30598
30960
|
{
|
|
30599
30961
|
"id": "openwop.it.v2-oauth-client-pkce-state-iss.a-wrong-or-missing-iss-with-authorization-response-iss-parameter-supported-makes",
|
|
30600
30962
|
"file": "v2-oauth-client-pkce-state-iss.test.ts",
|
|
30601
|
-
"line":
|
|
30963
|
+
"line": 151,
|
|
30602
30964
|
"title": "a wrong or missing iss (with authorization_response_iss_parameter_supported) makes no token request",
|
|
30603
30965
|
"explicitId": null,
|
|
30604
30966
|
"citations": [
|
|
@@ -30622,7 +30984,7 @@
|
|
|
30622
30984
|
{
|
|
30623
30985
|
"id": "openwop.it.v2-oauth-client-pkce-state-iss.issuer-less-providers-get-redirect-uris-no-other-provider-shares",
|
|
30624
30986
|
"file": "v2-oauth-client-pkce-state-iss.test.ts",
|
|
30625
|
-
"line":
|
|
30987
|
+
"line": 179,
|
|
30626
30988
|
"title": "issuer-less providers get redirect URIs no other provider shares",
|
|
30627
30989
|
"explicitId": null,
|
|
30628
30990
|
"citations": [
|
|
@@ -30640,7 +31002,7 @@
|
|
|
30640
31002
|
{
|
|
30641
31003
|
"id": "openwop.it.v2-oauth-client-pkce-state-iss.the-redirect-uri-is-fixed-per-provider-whatever-the-request-carries",
|
|
30642
31004
|
"file": "v2-oauth-client-pkce-state-iss.test.ts",
|
|
30643
|
-
"line":
|
|
31005
|
+
"line": 195,
|
|
30644
31006
|
"title": "the redirect URI is fixed per provider whatever the request carries",
|
|
30645
31007
|
"explicitId": null,
|
|
30646
31008
|
"citations": [
|
|
@@ -40554,6 +40916,50 @@
|
|
|
40554
40916
|
}
|
|
40555
40917
|
]
|
|
40556
40918
|
},
|
|
40919
|
+
{
|
|
40920
|
+
"id": "openwop.it.v2-bundle-witness-preimage.every-committed-v3-bundle-re-derives-its-witnesssha256-from-the-prose-preimage",
|
|
40921
|
+
"file": "v2-bundle-witness-preimage.test.ts",
|
|
40922
|
+
"line": 66,
|
|
40923
|
+
"title": "every committed v3 bundle re-derives its witnessSha256 from the prose preimage",
|
|
40924
|
+
"explicitId": "openwop.it.v2-bundle-witness-preimage.every-committed-v3-bundle-re-derives-its-witnesssha256-from-the-prose-preimage",
|
|
40925
|
+
"citations": [
|
|
40926
|
+
{
|
|
40927
|
+
"section": "RFC 0212 §C · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
40928
|
+
"requirement": "the spec repo MUST carry committed v3 bundles for this census to mean anything"
|
|
40929
|
+
},
|
|
40930
|
+
{
|
|
40931
|
+
"section": "RFC 0212 §C · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
40932
|
+
"requirement": "the census MUST cover every committed v3 bundle"
|
|
40933
|
+
},
|
|
40934
|
+
{
|
|
40935
|
+
"section": "RFC 0212 §C · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
40936
|
+
"requirement": null,
|
|
40937
|
+
"interpolated": true
|
|
40938
|
+
},
|
|
40939
|
+
{
|
|
40940
|
+
"section": "RFC 0212 §C · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
40941
|
+
"requirement": null,
|
|
40942
|
+
"interpolated": true
|
|
40943
|
+
}
|
|
40944
|
+
]
|
|
40945
|
+
},
|
|
40946
|
+
{
|
|
40947
|
+
"id": "openwop.it.v2-bundle-witness-preimage.the-row-comparator-is-code-unit-order-which-a-locale-collation-contradicts",
|
|
40948
|
+
"file": "v2-bundle-witness-preimage.test.ts",
|
|
40949
|
+
"line": 80,
|
|
40950
|
+
"title": "the row comparator is code-unit order, which a locale collation contradicts",
|
|
40951
|
+
"explicitId": "openwop.it.v2-bundle-witness-preimage.the-row-comparator-is-code-unit-order-which-a-locale-collation-contradicts",
|
|
40952
|
+
"citations": [
|
|
40953
|
+
{
|
|
40954
|
+
"section": "RFC 0212 §C · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
40955
|
+
"requirement": "the fixture ids MUST order differently under code units and Czech collation, or this leg proves nothing"
|
|
40956
|
+
},
|
|
40957
|
+
{
|
|
40958
|
+
"section": "RFC 0212 §C · spec/v2/core/conformance.md §\"Canonical JSON\"",
|
|
40959
|
+
"requirement": "witnessSha256 rows MUST sort by UTF-16 code units; a locale-sensitive comparator MUST NOT be used"
|
|
40960
|
+
}
|
|
40961
|
+
]
|
|
40962
|
+
},
|
|
40557
40963
|
{
|
|
40558
40964
|
"id": "openwop.it.v2-corpus-tag-pinned.every-vendoring-consumer-in-the-cross-repo-inventory-records-a-published-corpus",
|
|
40559
40965
|
"file": "v2-corpus-tag-pinned.test.ts",
|
|
@@ -40938,7 +41344,7 @@
|
|
|
40938
41344
|
{
|
|
40939
41345
|
"id": "openwop.it.v2-lane-exp-only-schema.the-gate-refuses-an-enum-member-with-no-2-2-row-and-a-suite-map-the-table-does-n",
|
|
40940
41346
|
"file": "v2-lane-exp-only-schema.test.ts",
|
|
40941
|
-
"line":
|
|
41347
|
+
"line": 127,
|
|
40942
41348
|
"title": "the gate refuses an enum member with no §2.2 row, and a suite map the table does not license",
|
|
40943
41349
|
"explicitId": null,
|
|
40944
41350
|
"citations": [
|
|
@@ -41204,6 +41610,24 @@
|
|
|
41204
41610
|
}
|
|
41205
41611
|
]
|
|
41206
41612
|
},
|
|
41613
|
+
{
|
|
41614
|
+
"id": "openwop.it.v2-push-credential-coherent.the-push-credential-exception-is-stated-wherever-the-rule-it-excepts-is-read-and",
|
|
41615
|
+
"file": "v2-push-credential-coherent.test.ts",
|
|
41616
|
+
"line": 71,
|
|
41617
|
+
"title": "the push-credential exception is stated wherever the rule it excepts is read, and each regression is refused",
|
|
41618
|
+
"explicitId": "openwop.requirement.0214.push-credential-coherent",
|
|
41619
|
+
"citations": [
|
|
41620
|
+
{
|
|
41621
|
+
"section": "RFCS/0214 §A–§B; spec/v2/core/security-defaults.md §\"Onward hops\"; spec/v2/core/interop.md §\"A2A push delivery\"",
|
|
41622
|
+
"requirement": "every clause of the RFC 0214 correction is present in the tracked corpus"
|
|
41623
|
+
},
|
|
41624
|
+
{
|
|
41625
|
+
"section": "RFCS/0214 §A–§B; spec/v2/core/security-defaults.md §\"Onward hops\"; spec/v2/core/interop.md §\"A2A push delivery\"",
|
|
41626
|
+
"requirement": null,
|
|
41627
|
+
"interpolated": true
|
|
41628
|
+
}
|
|
41629
|
+
]
|
|
41630
|
+
},
|
|
41207
41631
|
{
|
|
41208
41632
|
"id": "openwop.it.v2-release-identity.the-corpus-gate-script-exits-0",
|
|
41209
41633
|
"file": "v2-release-identity.test.ts",
|